
From: Paul Mackerras <paulus@samba.org>

This patch is from Hanna Linder.

As pci_find_device is going away using the new for_each_pci_dev macro.

Signed-off-by: Hanna Linder <hannal@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/pSeries_pci.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/pSeries_pci.c~ppc64-pseries_pcic-use-for_each_pci_dev arch/ppc64/kernel/pSeries_pci.c
--- 25/arch/ppc64/kernel/pSeries_pci.c~ppc64-pseries_pcic-use-for_each_pci_dev	2004-11-04 21:44:17.690667240 -0800
+++ 25-akpm/arch/ppc64/kernel/pSeries_pci.c	2004-11-04 21:44:17.695666480 -0800
@@ -548,7 +548,7 @@ void __init pSeries_final_fixup(void)
 
 	check_s7a();
 
-	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
+	for_each_pci_dev(dev) {
 		pci_read_irq_line(dev);
 		if (s7a_workaround) {
 			if (dev->irq > 16) {
_
